pypy-wand_0.4.4-3_all.deb


Advertisement

Description

pypy-wand - Python interface for ImageMagick library (PyPy build)

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename pypy-wand_0.4.4-3_all.deb
Package name pypy-wand
Package version 0.4.4
Package release 3
Package architecture all
Package type deb
Category python
Homepage https://github.com/dahlia/wand
License -
Maintainer Changwoo Ryu <cwryu@debian.org>
Download size 63.82 KB
Installed size 357.00 KB
Wand is a ctypes-based simple ImageMagick binding for Python. It
doesn't cover all functionalities of MagickWand API currently.
Wand provides Pythonic and modern interfaces, good documentation,
binding through ctypes (which works on PyPy) and installation using
pip or easy_install.
This module is built for PyPy.

Alternatives

Package Version Architecture Repository
pypy-wand_0.4.4-3_all.deb 0.4.4 all Debian Main
pypy-wand - - -

Requires

Name Value
libmagickwand-6.q16-6 -
pypy -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package pypy-wand_0.4.4-3_all.deb
Source Package wand

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pypy-wand deb package:
    # sudo apt-get install pypy-wand

Files

Path
/usr/lib/pypy/dist-packages/Wand-0.4.4.egg-info
/usr/lib/pypy/dist-packages/wand/__init__.py
/usr/lib/pypy/dist-packages/wand/api.py
/usr/lib/pypy/dist-packages/wand/color.py
/usr/lib/pypy/dist-packages/wand/compat.py
/usr/lib/pypy/dist-packages/wand/display.py
/usr/lib/pypy/dist-packages/wand/drawing.py
/usr/lib/pypy/dist-packages/wand/exceptions.py
/usr/lib/pypy/dist-packages/wand/font.py
/usr/lib/pypy/dist-packages/wand/image.py
/usr/lib/pypy/dist-packages/wand/resource.py
/usr/lib/pypy/dist-packages/wand/sequence.py
/usr/lib/pypy/dist-packages/wand/version.py
/usr/share/doc/pypy-wand/README.rst
/usr/share/doc/pypy-wand/changelog.Debian.gz
/usr/share/doc/pypy-wand/changelog.gz
/usr/share/doc/pypy-wand/copyright

Changelog

2018-07-31 - Changwoo Ryu <cwryu@debian.org>
wand (0.4.4-3) unstable; urgency=medium
* Fix lib name typo; libmagickcore -> libmagickwand (Closes: #904921)
* Remove Build-Depends packages for testsuite
* Standards-Version: 4.1.5
2018-07-26 - Changwoo Ryu <cwryu@debian.org>
wand (0.4.4-2) unstable; urgency=medium
* Update dependencies on libmagicwand to libmagickwand-6.q16-6 (Closes:
#904012)
* Use salsa.d.o for Vcs-*.
* Depends on python3-sphinx instead of python-sphinx.
* Remove X-Python-Version: >= 2.6 and X-Python3-Version: >= 3.2, which
are satisfied by Debian oldstable and not needed anymore.
2018-07-16 - Michal Arbet <michal.arbet@ultimum.io>
wand (0.4.4-1.3) unstable; urgency=medium
* Non-maintainer upload.
[ Michal Arbet ]
* Add fix-ensure-sequence-is-allocated.patch (Closes: #903908)
2018-03-28 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
wand (0.4.4-1.2) unstable; urgency=medium
* Non-maintainer upload.
[ Dmitry Shachnev ]
* Use dh-sphinxdoc instead of broken hardcoded linking (Closes: #857510).
[ Changwoo Ryu ]
* Drop devhelp
[ HIGUCHI Daisuke (VDR dai) ]
* Update dependencies on libmagickwand from libmagickwand-6.q16-3 to
libmagickwand-6.q16-5.  Closes: #890956
2017-01-11 - Mattia Rizzolo <mattia@debian.org>
wand (0.4.4-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Update dependencies on libmagickwand from libmagickwand-6.q16-2 to
libmagickwand-6.q16-3.  Closes: #850815
2016-11-06 - Changwoo Ryu <cwryu@debian.org>
wand (0.4.4-1) unstable; urgency=medium
* New upstream release
* debian/control: Correct the Vcs-*: URI
* Use pybuild
- The testsuite is disabled for now; it fails on the ImageMagick 6.8.* or
later
2016-10-22 - Changwoo Ryu <cwryu@debian.org>
wand (0.4.3-1) unstable; urgency=medium
* New upstream release
* Fix TypeError on ImageMagick 6.9.6.2 (Closes: #841548)
* Standards-Version: 3.9.8
* Fix lintian errors
- debian/control: Use https protocol for Vcs-* fields
- debian/copyright: Fix the copyright format
* debian/gbp.conf: upstream-0.4 branch for upstream
2014-12-27 - Changwoo Ryu <cwryu@debian.org>
wand (0.3.9-1) unstable; urgency=medium
* New upstream release
* Clean built files (Closes: #761464)
* Install the upstream changelog file
* Standards-Version: 3.9.6
2014-09-13 - Changwoo Ryu <cwryu@debian.org>
wand (0.3.8-2) unstable; urgency=medium
* Add optional dependency on libmagickwand-6.q16-2 (Closes: #761104)
2014-08-03 - Changwoo Ryu <cwryu@debian.org>
wand (0.3.8-1) unstable; urgency=medium
* New upstream release

See Also

Package Description
pypy-zmq_17.1.2-2_i386.deb PyPy bindings for 0MQ library
pypy-zodbpickle_1.0-1_all.deb Fork of pickle module for uniform serialization between Python 2 and 3 (PyPy)
pypy3-dev_7.0.0+dfsg-3_all.deb header files for PyPy (an alternative Python 3.x interpreter)
pypy3-doc_7.0.0+dfsg-3_all.deb developer Documentation for PyPy (an alternative Python 3.x interpreter)
pypy3-lib-testsuite_7.0.0+dfsg-3_all.deb standard library test suite for PyPy (an alternative Python 3,x interpreter)
pypy3-lib_7.0.0+dfsg-3_i386.deb standard library for PyPy (an alternative Python 3.x interpreter)
pypy3-tk_7.0.0+dfsg-3_i386.deb Tkinter module for PyPy (an alternative Python 3.x interpreter)
pypy3_7.0.0+dfsg-3_i386.deb fast alternative implementation of Python 3.x - PyPy interpreter
pypy_7.0.0+dfsg-3_i386.deb fast alternative implementation of Python - PyPy interpreter
pyqi_0.3.2+dfsg-3_all.deb Python framework for wrapping general commands in multiple interfaces
pyqso_1.1.0-1_all.deb logging tool for amateur radio operators
pyqt4-dev-tools_4.12.1+dfsg-2+b1_i386.deb Development tools for PyQt4
pyqt4.qsci-dev_2.10.4+dfsg-2.1_all.deb Development files for Python Qscintilla2 (Qt4)
pyqt5-dev-tools_5.11.3+dfsg-1+b3_i386.deb Development tools for PyQt5
pyqt5-dev_5.11.3+dfsg-1_all.deb Development files for PyQt5
Advertisement
Advertisement